Loading...
Searching...
No Matches
lascl_2x2: Scale matrix by 2-by-2 pivot
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A = D A\) More...

## Functions

void | magmablas_clascl_2x2 (magma_type_t type, magma_int_t m, magmaFloatComplex_const_ptr dW, magma_int_t lddw, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| CLASCL_2x2 scales the M by M complex matrix A by the 2-by-2 pivot.
void | magmablas_dlascl_2x2 (magma_type_t type, magma_int_t m, magmaDouble_const_ptr dW, magma_int_t lddw, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| DLASCL_2x2 scales the M by M real matrix A by the 2-by-2 pivot.
void | magmablas_slascl_2x2 (magma_type_t type, magma_int_t m, magmaFloat_const_ptr dW, magma_int_t lddw, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| SLASCL_2x2 scales the M by M real matrix A by the 2-by-2 pivot.
void | magmablas_zlascl_2x2 (magma_type_t type, magma_int_t m, magmaDoubleComplex_const_ptr dW, magma_int_t lddw, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| ZLASCL_2x2 scales the M by M complex matrix A by the 2-by-2 pivot.

## Detailed Description

\(A = D A\)

## Function Documentation

## magmablas_clascl_2x2()

void magmablas_clascl_2x2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magmaFloatComplex_const_ptr | dW,
|  | magma_int_t | lddw,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

CLASCL_2x2 scales the M by M complex matrix A by the 2-by-2 pivot.

TYPE specifies that A may be upper or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | dW | REAL vector, dimension (2*lddw) The matrix containing the 2-by-2 pivot.
  [in] | lddw | INTEGER The leading dimension of the array W. LDDA >= max(1,M).
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The matrix to be scaled by dW. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlascl_2x2()

void magmablas_dlascl_2x2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magmaDouble_const_ptr | dW,
|  | magma_int_t | lddw,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

DLASCL_2x2 scales the M by M real matrix A by the 2-by-2 pivot.

TYPE specifies that A may be upper or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | dW | DOUBLE PRECISION vector, dimension (2*lddw) The matrix containing the 2-by-2 pivot.
  [in] | lddw | INTEGER The leading dimension of the array W. LDDA >= max(1,M).
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The matrix to be scaled by dW. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slascl_2x2()

void magmablas_slascl_2x2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magmaFloat_const_ptr | dW,
|  | magma_int_t | lddw,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

SLASCL_2x2 scales the M by M real matrix A by the 2-by-2 pivot.

TYPE specifies that A may be upper or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | dW | REAL vector, dimension (2*lddw) The matrix containing the 2-by-2 pivot.
  [in] | lddw | INTEGER The leading dimension of the array W. LDDA >= max(1,M).
  [in,out] | dA | REAL array, dimension (LDDA,N) The matrix to be scaled by dW. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlascl_2x2()

void magmablas_zlascl_2x2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magmaDoubleComplex_const_ptr | dW,
|  | magma_int_t | lddw,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

ZLASCL_2x2 scales the M by M complex matrix A by the 2-by-2 pivot.

TYPE specifies that A may be upper or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | dW | DOUBLE PRECISION vector, dimension (2*lddw) The matrix containing the 2-by-2 pivot.
  [in] | lddw | INTEGER The leading dimension of the array W. LDDA >= max(1,M).
  [in,out] | dA | COMPLEX*16 array, dimension (LDDA,N) The matrix to be scaled by dW. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.